commit 169f70a693cf35dfee6086351bdda0621be2b832
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Nov 14 17:21:45 2024 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 4b3f299c4f6..cc7f6cb5b89 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,20 @@
+2024-11-13  John David Anglin  <danglin@gcc.gnu.org>
+
+	PR target/117525
+	* config/pa/pa.md (fix_truncsfsi2): Remove inner `fix:SF`.
+	(fix_truncdfsi2, fix_truncsfdi2, fix_truncdfdi2,
+	fixuns_truncsfsi2, fixuns_truncdfsi2, fixuns_truncsfdi2,
+	fixuns_truncdfdi2): Likewise.
+
+2024-11-13  Hu, Lin1  <lin1.hu@intel.com>
+
+	Backported from master:
+	2024-11-13  Hu, Lin1  <lin1.hu@intel.com>
+
+	PR target/117418
+	* config/i386/i386-expand.cc (ix86_expand_builtin): Convert
+	pointer's mode according to Pmode.
+
 2024-11-12  John David Anglin  <danglin@gcc.gnu.org>
 
 	* config/pa/pa.md (decrement_and_branch_until_zero): Fix
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 8a225a1f705..97867f47cfd 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20241113
+20241114
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 1c0f3289eff..3ecf3c20def 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2024-11-13  Hu, Lin1  <lin1.hu@intel.com>
+
+	Backported from master:
+	2024-11-13  Hu, Lin1  <lin1.hu@intel.com>
+
+	PR target/117418
+	* gcc.target/i386/pr117418-1.c: New test.
+
 2024-11-05  Simon Martin  <simon@nasilyan.com>
 
 	Backported from master:

